- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# idrac_redfish_info – Manages servers through iDRAC using Dell Redfish APIs

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Builds Redfish URIs locally and sends them to remote iDRAC controllers to get information back.

- For use with Dell iDRAC operations that require Redfish OEM extensions

- This module was called `idrac_redfish_facts` before Ansible 2.9, returning `ansible_facts`. Note that the idrac_redfish_info module no longer returns `ansible_facts`!

Aliases: idrac_redfish_facts

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
baseuri string / required |  | Base URI of iDRAC controller
category string / required |  | Category to execute on iDRAC controller
command list / required |  | List of commands to execute on iDRAC controller
password string / required |  | Password for authentication with iDRAC controller
timeout integer | Default: 10 | Timeout in seconds for URL requests to OOB controller
username string / required |  | User for authentication with iDRAC controller

## Examples

    - name: Get Manager attributes with a default of 20 seconds
      idrac_redfish_command:
        category: Manager
        command: GetManagerAttributes
        baseuri: "{{ baseuri }}"
        username: "{{ username }}"
        password: "{{ password }}"
        timeout: 20

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg dictionary | always | different results depending on task Sample: List of Manager attributes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jose Delarosa (@jose-delarosa)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.